+2011-12-23 Stefano Lattarini <stefano.lattarini@gmail.com>
+
+ tests: remove FIXME comments from tricks to pacify syntax checks
+ Originally, I myself had insisted on adding those "FIXME" comments
+ near every unusual construct or use of "creative quoting" whose
+ only purpose was to avoid false positive from out syntax checks.
+ I did that with the expectation that we could have easily and soon
+ added a whitelisting capability to our maintainer-specific syntax
+ checks. This hasn't been the case unfortunately, and now those
+ "FIXME" in the comments are just distracting noise, making it more
+ difficult to grep the test cases for stuff that could really use a
+ fix or an improvement. So just get rid of them.
+ * tests/instdir-ltlib.test: Remove that extra "FIXME".
+ * tests/instdir-prog.test: Likewise.
+ * tests/parallel-tests3.test: Likewise.
+ * tests/parallel-tests-dry-run.test: Likewise.
+ * tests/parallel-tests-console-output.test: Likewise.
+ * tests/parallel-tests-no-color-in-log.test: Likewise.
+ * tests/tap-realtime.test: Likewise.
+ * tests/test-trs-recover.test: Likewise.
+ * tests/tap-deps.test: Likewise.
+
2011-12-23 Stefano Lattarini <stefano.lattarini@gmail.com>
tests: few minor fixlets, improvements and tweakings
test ! -d "$destdir"
$MAKE -e uninstall > stdout || { cat stdout; Exit 1; }
cat stdout
-# FIXME: creative quoting below to please maintainer-check.
+# Creative quoting below to please maintainer-check.
grep 'rm'' ' stdout && Exit 1
$MAKE -e uninstall DESTDIR="$destdir" > stdout || { cat stdout; Exit 1; }
cat stdout
-# FIXME: creative quoting below to please maintainer-check.
+# Creative quoting below to please maintainer-check.
grep 'rm'' ' stdout && Exit 1
:
test ! -d "$destdir"
$MAKE -e uninstall > stdout || { cat stdout; Exit 1; }
cat stdout
-# FIXME: creative quoting below to please maintainer-check.
+# Creative quoting below to please maintainer-check.
grep 'rm'' ' stdout && Exit 1
$MAKE -e uninstall DESTDIR="$destdir" > stdout || { cat stdout; Exit 1; }
cat stdout
-# FIXME: creative quoting below to please maintainer-check.
+# Creative quoting below to please maintainer-check.
grep 'rm'' ' stdout && Exit 1
:
#!/bin/sh
# The sleep should ensure expected execution order of tests
# even when make is run in parallel mode.
-# FIXME: quotes below required by maintainer-check.
+# Creative quoting below to plase maintainer-check.
sleep '10'
exit 1
END
test ! -f test-suite.log
done
-# FIXME: creative quoting below to please maintainer-check.
+# Creative quoting below to please maintainer-check.
echo exit '0' > foo.test
echo exit '1' > bar.test
test -f foo.log
test -f bar.trs
-# FIXME: creative quoting below to please maintainer-check.
+# Creative quoting below to please maintainer-check.
cat > foo.test <<END
echo this is bad
exit 1
# GNU or BSD 'grep -a' works on files, but is not portable.
case `echo "$esc" | $FGREP "$esc"` in
"$esc") ;;
-# FIXME: creative quoting below to please maintainer-check.
+# Creative quoting below to please maintainer-check.
*) echo "$me: f""grep can't parse nonprinting characters" >&2; Exit 77;;
esac
XFAIL_TESTS = xpass xfail
END
-# FIXME: creative quoting to please maintainer-check.
+# Creative quoting to please maintainer-check.
echo exit '0' > pass
echo exit '0' > xpass
echo exit '1' > fail
unindent >foo$i.test <<'END'
#! /bin/sh
echo "this is $0"
- # FIXME: spurious quote to please maintainer-check
+ # Creative quoting below to please maintainer-check.
sleep '1'
exit 0
END
#!/bin/sh
echo 1..2
echo ok 1
-sleep '3' # FIXME: quotes to please maintainer-check
+# Creative quoting below to please maintainer-check.
+sleep '3'
echo ok 2
: > a.run
END
else
echo not ok 1
fi
-sleep '3' # FIXME: quotes to please maintainer-check
+# Creative quoting below to please maintainer-check.
+sleep '3'
echo ok 2
: > b.run
END
#! /bin/sh
echo 1..3
-# FIXME: creative quoting to placate maintainer-check
+# Creative quoting to placate maintainer-check
sleep="sleep "3
# The awk+shell implementation of the TAP driver must "read ahead" of one
TEST_LOG_COMPILER = $(SHELL)
END
-# FIXME: creative quoting below to please maintainer-check.
+# Creative quoting below to please maintainer-check.
echo exit '$TEST_STATUS' > foo.test
echo exit '$TEST_STATUS' > bar.test
: > baz.test